Metadata-Version: 2.4
Name: bootanimation2gif
Version: 0.1.0
Summary: Convert Android bootanimation.zip or folder to GIF/MP4.
Author: JoshAtticus
Classifier: Programming Language :: Python :: 3
Classifier: License :: OSI Approved :: MIT License
Classifier: Operating System :: OS Independent
Requires-Python: >=3.7
Description-Content-Type: text/markdown
Requires-Dist: Pillow
Requires-Dist: imageio
Requires-Dist: imageio[ffmpeg]
Requires-Dist: numpy
Requires-Dist: tqdm

# bootanimation2gif
Convert Android bootanimation.zip files to GIF or MP4 with one command.

## Usage
```
positional arguments:
  input                 Input bootanimation.zip or directory containing desc.txt

options:
  -h, --help            show this help message and exit
  -o, --output OUTPUT   Output file (e.g., output.gif or output.mp4)
  --info                Only parse desc.txt and print human-readable info
  -r, --resolution RESOLUTION
                        Target resolution WxH (e.g., 1280x800). Defaults to native resolution.
  -b, --bg-color BG_COLOR
                        Background color hex or name (e.g., '#000000', 'white'). Default is black.
  -f, --fps FPS         Override the framerate (FPS).
  -t, --infinite-time INFINITE_TIME
                        Time in seconds for infinite loops (default: 10).
```
